# Copyright 2014 Red Hat, Inc.
# All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

# The content of this file will be used to generate
# the puppet manifests for all roles, the placeholder
# compute will be replaced by 'controller', 'blockstorage',
# 'cephstorage' and all the deployed roles.

if hiera('step') >= 4 {
  hiera_include('compute_classes', [])
}

$package_manifest_name = join(['/var/lib/tripleo/installed-packages/overcloud_compute', hiera('step')])
package_manifest{$package_manifest_name: ensure => present}

# NOTE(gfidente): ensure deprecated package manifest is absent, can be removed after Pike
$absent_package_manifest_name = join(['/var/lib/tripleo/installed-packages/overcloud_controller_pacemaker', hiera('step')])
package_manifest{$absent_package_manifest_name: ensure => absent}
include ::tripleo::trusted_cas
include ::tripleo::profile::base::ceph::client

include ::timezone
include ::tripleo::profile::base::time::ntp
include ::tripleo::profile::base::snmp

include ::tripleo::profile::base::sshd
# TODO(emilien): figure how to deal with libvirt profile.
# We'll probably treat it like we do with Neutron plugins.
# Until then, just include it in the default nova-compute role.
include tripleo::profile::base::nova::compute::libvirt

include tripleo::profile::base::nova::libvirt
include ::tripleo::profile::base::kernel
include ::tripleo::profile::base::neutron::plugins::ml2

include ::tripleo::profile::base::neutron::ovs

include ::tripleo::profile::base::ceilometer::agent::compute



include ::tripleo::packages

include ::tripleo::firewall






